List transfers
curl --request GET \
--url https://app.sure.am/api/v1/transfers \
--header 'X-Api-Key: <api-key>'import requests
url = "https://app.sure.am/api/v1/transfers"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://app.sure.am/api/v1/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transfers": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"date": "2023-12-25",
"amount": "<string>",
"amount_cents": 123,
"currency": "<string>",
"transfer_type": "transfer",
"inflow_transaction": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entry_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"date": "2023-12-25",
"amount": "<string>",
"amount_cents": 123,
"currency": "<string>",
"name": "<string>",
"kind": "<string>",
"account": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"account_type": "<string>"
}
},
"outflow_transaction": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entry_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"date": "2023-12-25",
"amount": "<string>",
"amount_cents": 123,
"currency": "<string>",
"name": "<string>",
"kind": "<string>",
"account": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"account_type": "<string>"
}
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"notes": "<string>"
}
],
"pagination": {
"page": 2,
"per_page": 2,
"total_count": 1,
"total_pages": 1
}
}{
"error": "<string>",
"message": "<string>",
"details": [
"<string>"
],
"errors": [
"<string>"
]
}{
"error": "<string>",
"message": "<string>",
"details": [
"<string>"
],
"errors": [
"<string>"
]
}{
"error": "<string>",
"message": "<string>",
"details": [
"<string>"
],
"errors": [
"<string>"
]
}Transfers
List transfers
GET
/
api
/
v1
/
transfers
List transfers
Authorizations
API key for authentication. Generate one from your account settings.
Query Parameters
Page number (default: 1)
Items per page (default: 25, max: 100)
Filter by transfer status
Available options:
pending, confirmed Filter transfers involving this account
Filter transfers from this date
Filter transfers until this date
Was this page helpful?
⌘I